## linkchecker-1.3.11.tar.gz

=== Makefile ===
# This Makefile is only used by developers.
PYTHON=python2.1
VERSION=$(shell $(PYTHON) setup.py --version)
PACKAGE=linkchecker
NAME=$(shell $(PYTHON) setup.py --name)
PACKAGEDIR=/home/groups/l/li/$(PACKAGE)
HTMLDIR=shell1.sourceforge.net:$(PACKAGEDIR)/htdocs
#HOST=treasure.calvinsplayground.de
HOST=www.debian.org
#LCOPTS=-ocolored -Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -R -t0 -v -s
LCOPTS=-ocolored -Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -R -t0 -v -s
OFFLINETESTS = test_base test_misc test_file test_frames
ONLINETESTS = test_mail test_http test_https test_news test_ftp
DESTDIR=/.

.PHONY: all
all:
	@echo "Read the file INSTALL to see how to build and install"

.PHONY: clean
clean:
	-$(PYTHON) setup.py clean --all # ignore errors of this command
	$(MAKE) -C po clean
	find . -name '*.py[co]' | xargs rm -f

.PHONY: distclean
distclean: clean cleandeb
	rm -rf dist build # just to be sure clean also the build dir
	rm -f VERSION _$(PACKAGE)_configdata.py MANIFEST Packages.gz
	# clean aborted dist builds and -out files
	rm -f $(PACKAGE)-*

.PHONY: cleandeb
cleandeb:
	rm -rf debian/$(PACKAGE) debian/tmp
	rm -f debian/*.debhelper debian/{files,substvars}
	rm -f configure-stamp build-stamp

.PHONY: config
config:
	$(PYTHON) setup.py config -lcrypto

# no rpm package; too much trouble, cannot test
.PHONY: dist
dist:	locale config
	$(PYTHON) setup.py sdist --formats=gztar,zip bdist_wininst

deb:
	# cleandeb because distutils choke on dangling symlinks
	# (linkchecker.1 -> undocumented.1)
	$(MAKE) cleandeb
	fakeroot debian/rules binary
	#env CVSROOT=:pserver:anonymous@cvs.linkchecker.sourceforge.net:/cvsroot/linkchecker cvs-buildpackage -Mlinkchecker -W/home/calvin/projects/cvs-build -sgpg -pgpg -k959C340F -rfakeroot 
	env CVSROOT=:pserver:anonymous@cvs.linkchecker.sourceforge.net:/cvsroot/linkchecker cvs-buildpackage -Mlinkchecker -W/home/calvin/projects/cvs-build -us -uc -rfakeroot 

.PHONY: files
files:	locale
	env http_proxy="" $(PYTHON) $(PACKAGE) $(LCOPTS) -i$(HOST) http://$(HOST)/

VERSION:
	echo $(VERSION) > VERSION

.PHONY: upload
upload: distclean dist files VERSION
	scp debian/changelog $(HTMLDIR)/changes.txt
	scp README $(HTMLDIR)/readme.txt
	scp linkchecker-out.* $(HTMLDIR)
	scp VERSION $(HTMLDIR)/raw/
	scp dist/* $(HTMLDIR)/
	ssh -C -t shell1.sourceforge.net "cd $(PACKAGEDIR) && make"

.PHONY: test
test:
	$(PYTHON) test/regrtest.py $(OFFLINETESTS)

.PHONY: onlinetest
onlinetest:
	$(PYTHON) test/regrtest.py $(ONLINETESTS)

.PHONY: locale
locale:
	$(MAKE) -C po

.PHONY: timeouttest
timeouttest:
	$(PYTHON) $(PACKAGE) -DDD --timeout=2 mailto:calvin@cs.uni-sb.de

=== po/Makefile ===
# we copied the scripts in Tools/i18n of the Python 2.0 distribution
I18NTOOLS=.
PYTHON=python2.1
GETTEXT=$(PYTHON) $(I18NTOOLS)/pygettext.py
MSGFMT=$(PYTHON) $(I18NTOOLS)/msgfmt.py
#MSGFMT=msgfmt
MSGMERGE=msgmerge
SOURCES=\
../linkcheck/ChromeUrlData.py \
../linkcheck/Config.py \
../linkcheck/FileUrlData.py \
../linkcheck/FindUrlData.py \
../linkcheck/FtpUrlData.py \
../linkcheck/GopherUrlData.py \
../linkcheck/HostCheckingUrlData.py \
../linkcheck/HttpUrlData.py \
../linkcheck/HttpsUrlData.py \
../linkcheck/JavascriptUrlData.py \
../linkcheck/Logging.py \
../linkcheck/MailtoUrlData.py \
../linkcheck/NntpUrlData.py \
../linkcheck/TelnetUrlData.py \
../linkcheck/Threader.py \
../linkcheck/UrlData.py \
../linkcheck/__init__.py \
../linkcheck/lc_cgi.py \
../linkchecker
LDIR=../locale
LFILE=LC_MESSAGES/$(PACKAGE).mo
MOS=$(LDIR)/de/$(LFILE) $(LDIR)/fr/$(LFILE)
PACKAGE=linkcheck

.PHONY: all
all:
	$(MAKE) de.mo fr.mo

%.po:	.time.pot
	$(MSGMERGE) $@ $(PACKAGE).pot -o $@

.time.pot:
	rm -f $(PACKAGE).pot
	$(GETTEXT) --default-domain=$(PACKAGE) --no-location $(SOURCES)
	touch .time.pot

%.mo:	%.po
	$(MSGFMT) -o$(LDIR)/$*/$(LFILE) $<

clean:
	rm -f $(MOS)

distclean:	clean
	rm -f .time.pot

.PHONY: all clean distclean

=== debian/changelog ===
linkchecker (1.3.11) unstable; urgency=low

  * setup.py: use os.getcwd(), not "." which breaks on MacOS 9.x
  * added platform-specific install instructions
  * use Pythons builtin gettext module, get rid of fintl.py
  * use Pythons builtin robot.txt parser, get rid of
    robotparser2.py
  * update Python gettext utilities in po/ to newest version (2.1.1)
  * fix the -p password option (thanks to Harri Pasanen
    <harri.pasanen@trema.com> for pointing this out)

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 30 Nov 2001 12:13:16 +0100

linkchecker (1.3.10) unstable; urgency=low

  * use Pythons builtin HTTPS support

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 20 Nov 2001 21:24:28 +0100

linkchecker (1.3.9) unstable; urgency=low

  * new config option --interactive for interactive URL input
  * on Windows, install a .bat file on the Desktop (with interactive
    input)
  * updated german .po file
  * support Mozilla-specific chrome:// links
  * fix colored logging

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 17 Nov 2001 15:03:14 +0100

linkchecker (1.3.8) unstable; urgency=low

  * DNS/Base.py: more Windows fixes
  * linkchecker.bat: help for french output
  * updated dependencies for new Debian Python Policy

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 16 Nov 2001 12:03:28 +0100

linkchecker (1.3.7) unstable; urgency=low

  * fix typo in DNS/Base.py Windows Registry handling
  * minor code cleanups
  * add missing split* import for proxy handling (Closes: #115931)

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 17 Oct 2001 14:40:34 +0200

linkchecker (1.3.6) unstable; urgency=low

  * fix typo in Copyright blurb
  * implemented Proxy Authentication (untested)
  * Opera Bookmark files (opera.adr) support, they are parsed
    automatically. This support only works for local file links
    (ie. file:///home/joe/.opera/opera.adr)
  * support for TCP socket timeouts with --timeout (untested)
  * replace string module functions with Python 2.x string methods
  * use TCP for DNS MX mailhost lookup as default, not UDP as it seems
    to hang forever (dont know why). This should fix bug #106393, but
    only time and tests will tell.
  * updated DNS.init_dns_config with Windows-specific functions from
    pydns.sf.net (tested only under Win2000)

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 22 Aug 2001 19:34:13 +0200

linkchecker (1.3.5) unstable; urgency=low

  * add traceback import into testsuite
  * fix HTTPS support by using correct import statement and
    calling HTTPS.connect()
  * standards version 3.5.6 (no changes)
  * updated german translation

 -- Bastian Kleineidam <calvin@debian.org>  Wed,  1 Aug 2001 22:32:55 +0200

linkchecker (1.3.4) unstable; urgency=low

  * dont display number of warnings because the number of warnings
    is only correct with --warning or --verbose.
  * fix previous wrong changelog email <calvin@ap-lnx-bastiank>
  * call debug function in MailUrlData.py with correct arguments
  * clarify confusing error msg in MailUrlData.py by using str()
    (Closes: #106649)
  * fix bug which caused LinkChecker not to ignore HTML comments

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 30 Jul 2001 20:37:13 +0200

linkchecker (1.3.3) unstable; urgency=low

  * init_dns_resolver: forgot to import string.lower (Closes: #101044)
  * when we have a HTTP 301 redirect and the url does not end with
    a / remind the user of a potential missing / at the end of the url
  * the recovered-from-broken-PAM release

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 29 Jun 2001 13:14:19 +0200

linkchecker (1.3.2) unstable; urgency=low

  * new option --pause
  * only enable threading with 2 or more threads, not with only 1 thread
  * new debug function with variable arguments
  * more than one debug level; enable them with multiple -D options
  * workaround for broken HEAD with some Apache servers by using GET
  * enable out-of-the-box CGI scripts for Debian package in
    http://localhost/doc/linkchecker/lconline/
    this of course requires an HTTP server installed on your machine
  * change logging config in the CGI scripts, the log file can be
    enabled in linkcheck/lc_cgi.py
  * updated to standards version 3.5.5 (no changes)

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 10 Jun 2001 13:20:19 +0200

linkchecker (1.3.1) unstable; urgency=low

  * remove CVS files from Debian source package by using cvs-
    buildpackage

 -- Bastian Kleineidam <calvin@debian.org>  Sat,  5 May 2001 16:05:06 +0200

linkchecker (1.3.0) unstable; urgency=low

  * require and use Python >= 2.0
  * fix ignored configfile settings for loggers
  * optional filename argument for -F (patch from
    Jamie Heilman <jamie@audible.transient.net>)
  * config file option to control which fields the loggers should print
  * fixed possible inifinite loop with redirections (thanks to
    Szabolcs Szakacsits for the report)
  * resolve HTML entities in link names (closes: Bug#90644)
  * debian standards version 3.5.4.0 (no changes)
  * httpslib.py:27: use extra paranthesis around connect() argument for
    Python 2.0 compatibility (thanks to Allan Bailey for the patch)
  * additionally allow https in the CGI scripts (thanks to Allan Bailey
    for the patch)
  * fix for distutils bug: python2None interpreter is wrong
  * fix default location of global config file

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 29 Apr 2001 02:09:41 +0200

linkchecker (1.2.15) unstable; urgency=low

  * remove ssl modules for main linkchecker package; make a separate 
    package linkchecker-ssl for non-US
  * adjust build-depends and depends
  * fix anchor checking
  * debian standards version 3.5.2.0
  * require python-distutils >= 1.0.1, removed old compatibility code
  * added FAQ entry for broken links
  * change email address to calvin@debian.org
  * add DNS.Error to caught exceptions
  * add all html link tags (ripped from HTML::Tagset.pm)
  * updated robotparser2.py to newest version


=== debian/control ===
Source: linkchecker
Section: web
Priority: optional
Maintainer: Bastian Kleineidam <calvin@debian.org>
Build-Depends-Indep: python-dev (>= 2.1), python-dev (<< 2.2), debhelper (>= 3.0.0), gettext
Standards-Version: 3.5.6.0

Package: linkchecker
Architecture: all
Depends: python (>= 2.1)
Conflicts: python (>= 2.2), python-ssl (>= 2.2)
Suggests: python-ssl (>= 2.1)
Description: check HTML documents for broken links
 Features:
  o recursive checking
  o multithreaded
  o output can be colored or normal text, HTML, SQL, CSV or a sitemap
    graph in GML or XML
  o HTTP/1.1, FTP, mailto:, nntp:, news:, Gopher, Telnet and local 
    file links are supported
  o restrict link checking with regular expression filters for URLs
  o proxy support
  o give username/password for HTTP and FTP authorization
  o robots.txt exclusion protocol support 
  o i18n support
  o command line interface
  o (Fast)CGI web interface (requires HTTP server)
 .
 You have to install python-ssl for HTTPS support.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
PACKAGE=linkchecker
DOCDIR = debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)
PYTHON=python2.1

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

# This has to be exported to make some magic below work.
export DH_OPTIONS

configure: configure-stamp
configure-stamp:
	dh_testdir
	$(PYTHON) setup.py config
	touch configure-stamp


build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(PYTHON) setup.py build
	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_clean -k
	dh_installdirs
	$(MAKE) locale
	$(PYTHON) setup.py install --root=$(CURDIR)/debian/$(PACKAGE) --no-compile
	# remove man pages, we install them with dh_installman
	rm -r debian/$(PACKAGE)/usr/man
	# remove files, we install them below
	rm -r debian/$(PACKAGE)/usr/share/linkchecker/examples
	# install additional doc files
	install -c -m 644 DNS/README $(DOCDIR)/README_DNS.txt
	install -c -m 644 test/*.py $(DOCDIR)/test
	install -c -m 644 test/html/*.html $(DOCDIR)/test/html
	install -c -m 644 test/output/test_* $(DOCDIR)/test/output
	# install CGI files
	install -c -m 644 lconline/*.html $(DOCDIR)/lconline
	install -c -m 755 lc.cgi debian/$(PACKAGE)/usr/lib/cgi-bin/lconline
	# install system wide configuration file in etc
	mv debian/$(PACKAGE)/usr/share/linkchecker/linkcheckerrc debian/$(PACKAGE)/etc


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman linkchecker.1
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
